"use client";
import Input from "@/components/Base/Input/Input";
import themeLogo from "../../../../public/imgaes/moon-svgrepo-com.svg";
import lightTheme from "../../../../public/imgaes/sun.svg";
import Image from "next/image";
import { useState } from "react";
export default function Header() {
  const [isDark, setIsDark] = useState("");
  const [searchValue, setSearchValue] = useState("");

  const handleThemeToggle = () => {
    setIsDark((prev) => {
      document.documentElement.setAttribute(
        "data-theme",
        prev === "light-theme" ? "dark-theme" : "light-theme"
      );

      return prev === "light-theme" ? "dark-theme" : "light-theme";
    });
  };

  const handleInputChange = (e: any) => {
    setSearchValue(e.target.value);
  };

  const handleSearchEnter = (e: string) => {
    console.log(e);
  };

  return (
    <header
      className={
        "bg-[var(--primary-bg-color)] font-[Inter-Bold] flex justify-around items-center shadow-[0_4px_12px_rgba(0,0,0,0.08)] py-4 w-full sticky top-0"
      }
    >
      <div
        className={
          "text-[var(--primary-text-color)] font-[Inter-Bold] text-[22px]"
        }
      >
        NewsBlog
      </div>
      <div className={"w-[30%]"}>
        <Input
          placeholder={"Discover news, articles and more..."}
          value={searchValue}
          onClear={() => setSearchValue("")}
          onChange={handleInputChange}
          onEnter={handleSearchEnter}
        />
      </div>
      <div className="cursor-pointer" onClick={handleThemeToggle}>
        {isDark == "dark-theme" ? (
          <Image src={lightTheme} alt="image" width={25} />
        ) : (
          <Image src={themeLogo} alt="theme-img" width={25} />
        )}
      </div>
    </header>
  );
}
