import clock from "../../../../../public/imgaes/clock.svg";
import Image from "next/image";
import Link from "next/link";
function Card({
  imgUrl,
  title,
  description,
  authorName,
  postedDate,
  readTime,
}: any) {
  return (
    <Link href={"/"} className="no-underline text-inherit">
      <article
        className={
          "!w-[350px] rounded-[10px] bg-[var(--primary-bg-color)] shadow-[0px_4px_12px_rgba(0,0,0,0.1)]"
        }
      >
        <img
          className="w-full h-[200px] object-cover rounded-t-[10px]"
          src={imgUrl}
          alt="Author photo"
        />
        <section className="px-4 ">
          <h3 className="text-[var(--primary-text-color)] font-[Inter-Bold] line-clamp-2 text-[20px] mt-8">
            {title}
          </h3>
          <p className="text-[var(--secondary-text-color)] font-[Inter-Medium] text-[16px] line-clamp-2 mt-3">
            {description}
          </p>
        </section>
        <footer className="px-4 mt-3 pb-3">
          <div className="flex items-center gap-4 pb-4">
            <div>
              <img
                src="https://picsum.photos/55/55"
                alt="Author photo"
                className="rounded-full"
              />
            </div>
            <div className="author-info">
              <div className="text-[var(--primary-text-color)] font-[Inter-Bold]">
                {authorName}
              </div>
              <div className="flex items-center gap-4 font-[Inter-Regular] text-[var(--secondary-text-color)] text-[14px] py-[2px]">
                <div>{postedDate}.</div>
                <div className="flex items-center gap-[3px]">
                  <Image width={20} src={clock} alt="img" />
                  {readTime} min
                </div>
              </div>
            </div>
          </div>
        </footer>
      </article>
    </Link>
  );
}

export default Card;
